import * as $dara from '@darabonba/typescript';
export declare class ModifyAssetCleanConfigRequestAssetCleanConfigs extends $dara.Model {
    /**
     * @remarks
     * The number of days before hosts whose provider cannot be identified are automatically cleaned after they enter the offline state. Valid value: an integer that ranges from 1 to 30.
     *
     * @example
     * 7
     */
    cleanDays?: number;
    /**
     * @remarks
     * Specifies whether to enable the feature of cleaning the offline hosts whose provider cannot be identified. Valid values:
     *
     * *   **0**: disables the feature.
     * *   **1**: enables the feature.
     *
     * @example
     * 1
     */
    status?: number;
    /**
     * @remarks
     * The type of hosts that you want to clean.
     *
     * Set the value to **1**, which indicates hosts whose provider cannot be identified.
     *
     * @example
     * 1
     */
    type?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ModifyAssetCleanConfigRequest extends $dara.Model {
    /**
     * @remarks
     * The asset cleanup configurations.
     */
    assetCleanConfigs?: ModifyAssetCleanConfigRequestAssetCleanConfigs[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
